XMLStringProvider (Axis API)
Keywords: org.apache.axis.configuration.XMLStringProvider class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.configuration
Class XMLStringProvider

    java.lang.Object
      org.apache.axis.configuration.FileProvider
          org.apache.axis.configuration.XMLStringProvider

All Implemented Interfaces:
  EngineConfiguration, WSDDEngineConfiguration

public class XMLStringProvider
extends FileProvider

A simple ConfigurationProvider that uses the Admin class to configure the engine from a String containing XML. This provider does not write configuration to persistent storage. Example of usage: new XMLStringProvider("");

Author:
  Glen Daniels (gdaniels@apache.org)

Field Summary

Fields inherited from class org.apache.axis.configuration.FileProvider
`log`

Fields inherited from interface org.apache.axis.EngineConfiguration
`PROPERTY_NAME`

Constructor Summary
`XMLStringProvider(java.lang.String xmlConfiguration)` Constructor

Method Summary
`void` | `configureEngine(AxisEngine engine)` Configure this AxisEngine using whatever data source we have.
`void` | `writeEngineConfig(AxisEngine engine)` Save the engine configuration.

Methods inherited from class org.apache.axis.configuration.FileProvider
`getDeployedServices, getDeployment, getGlobalOptions, getGlobalRequest, getGlobalResponse, getHandler, getRoles, getService, getServiceByNamespaceURI, getTransport, getTypeMappingRegistry, setDeployment, setInputStream, setSearchClasspath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLStringProvider

    public XMLStringProvider(java.lang.String xmlConfiguration)

  Constructor

Parameters:
  `xmlConfiguration` - a String containing an engine configuration in XML.

Method Detail

### writeEngineConfig

    public void writeEngineConfig(AxisEngine engine)
                           throws ConfigurationException

  Description copied from class: `FileProvider`
  Save the engine configuration. In case there's a problem, we write it to a string before saving it out to the actual file so we don't screw up the file.

  Specified by:
    `writeEngineConfig` in interface `EngineConfiguration`
  Overrides:
    `writeEngineConfig` in class `FileProvider`
  Throws:
    `ConfigurationException`

### configureEngine

    public void configureEngine(AxisEngine engine)
                         throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Configure this AxisEngine using whatever data source we have.

  Specified by:
    `configureEngine` in interface `EngineConfiguration`
  Overrides:
    `configureEngine` in class `FileProvider`
  Throws:
    `ConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.